Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.html.dom
Class HTMLTableElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLTableElementImpl

public class HTMLTableElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableElement

See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Constructor Summary
`HTMLTableElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`org.w3c.dom.html.HTMLElement` | `createCaption()`
`org.w3c.dom.html.HTMLElement` | `createTFoot()`
`org.w3c.dom.html.HTMLElement` | `createTHead()`
`void` | `deleteCaption()`
`void` | `deleteRow(int index)`
`void` | `deleteTFoot()`
`void` | `deleteTHead()`
`java.lang.String` | `getAlign()`
`java.lang.String` | `getBgColor()`
`java.lang.String` | `getBorder()`
`org.w3c.dom.html.HTMLTableCaptionElement` | `getCaption()`
`java.lang.String` | `getCellPadding()`
`java.lang.String` | `getCellSpacing()`
`java.lang.String` | `getFrame()`
`org.w3c.dom.html.HTMLCollection` | `getRows()`
`java.lang.String` | `getRules()`
`java.lang.String` | `getSummary()`
`org.w3c.dom.html.HTMLCollection` | `getTBodies()`
`org.w3c.dom.html.HTMLTableSectionElement` | `getTFoot()`
`org.w3c.dom.html.HTMLTableSectionElement` | `getTHead()`
`java.lang.String` | `getWidth()`
`org.w3c.dom.html.HTMLElement` | `insertRow(int index)`
`void` | `setAlign(java.lang.String align)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setBorder(java.lang.String border)`
`void` | `setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)`
`void` | `setCellPadding(java.lang.String cellPadding)`
`void` | `setCellSpacing(java.lang.String cellSpacing)`
`void` | `setFrame(java.lang.String frame)`
`void` | `setRules(java.lang.String rules)`
`void` | `setSummary(java.lang.String summary)`
`void` | `setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)`
`void` | `setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTableElementImpl

    public HTMLTableElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCaption

    public org.w3c.dom.html.HTMLTableCaptionElement getCaption()

  Specified by:
    getCaption in interface org.w3c.dom.html.HTMLTableElement

### setCaption

    public void setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)

  Specified by:
    setCaption in interface org.w3c.dom.html.HTMLTableElement

### createCaption

    public org.w3c.dom.html.HTMLElement createCaption()

  Specified by:
    createCaption in interface org.w3c.dom.html.HTMLTableElement

### deleteCaption

    public void deleteCaption()

  Specified by:
    deleteCaption in interface org.w3c.dom.html.HTMLTableElement

### getTHead

    public org.w3c.dom.html.HTMLTableSectionElement getTHead()

  Specified by:
    getTHead in interface org.w3c.dom.html.HTMLTableElement

### setTHead

    public void setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)

  Specified by:
    setTHead in interface org.w3c.dom.html.HTMLTableElement

### createTHead

    public org.w3c.dom.html.HTMLElement createTHead()

  Specified by:
    createTHead in interface org.w3c.dom.html.HTMLTableElement

### deleteTHead

    public void deleteTHead()

  Specified by:
    deleteTHead in interface org.w3c.dom.html.HTMLTableElement

### getTFoot

    public org.w3c.dom.html.HTMLTableSectionElement getTFoot()

  Specified by:
    getTFoot in interface org.w3c.dom.html.HTMLTableElement

### setTFoot

    public void setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)

  Specified by:
    setTFoot in interface org.w3c.dom.html.HTMLTableElement

### createTFoot

    public org.w3c.dom.html.HTMLElement createTFoot()

  Specified by:
    createTFoot in interface org.w3c.dom.html.HTMLTableElement

### deleteTFoot

    public void deleteTFoot()

  Specified by:
    deleteTFoot in interface org.w3c.dom.html.HTMLTableElement

### getRows

    public org.w3c.dom.html.HTMLCollection getRows()

  Specified by:
    getRows in interface org.w3c.dom.html.HTMLTableElement

### getTBodies

    public org.w3c.dom.html.HTMLCollection getTBodies()

  Specified by:
    getTBodies in interface org.w3c.dom.html.HTMLTableElement

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLTableElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLTableElement

### getBgColor

    public java.lang.String getBgColor()

  Specified by:
    getBgColor in interface org.w3c.dom.html.HTMLTableElement

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    setBgColor in interface org.w3c.dom.html.HTMLTableElement

### getBorder

    public java.lang.String getBorder()

  Specified by:
    getBorder in interface org.w3c.dom.html.HTMLTableElement

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    setBorder in interface org.w3c.dom.html.HTMLTableElement

### getCellPadding

    public java.lang.String getCellPadding()

  Specified by:
    getCellPadding in interface org.w3c.dom.html.HTMLTableElement

### setCellPadding

    public void setCellPadding(java.lang.String cellPadding)

  Specified by:
    setCellPadding in interface org.w3c.dom.html.HTMLTableElement

### getCellSpacing

    public java.lang.String getCellSpacing()

  Specified by:
    getCellSpacing in interface org.w3c.dom.html.HTMLTableElement

### setCellSpacing

    public void setCellSpacing(java.lang.String cellSpacing)

  Specified by:
    setCellSpacing in interface org.w3c.dom.html.HTMLTableElement

### getFrame

    public java.lang.String getFrame()

  Specified by:
    getFrame in interface org.w3c.dom.html.HTMLTableElement

### setFrame

    public void setFrame(java.lang.String frame)

  Specified by:
    setFrame in interface org.w3c.dom.html.HTMLTableElement

### getRules

    public java.lang.String getRules()

  Specified by:
    getRules in interface org.w3c.dom.html.HTMLTableElement

### setRules

    public void setRules(java.lang.String rules)

  Specified by:
    setRules in interface org.w3c.dom.html.HTMLTableElement

### getSummary

    public java.lang.String getSummary()

  Specified by:
    getSummary in interface org.w3c.dom.html.HTMLTableElement

### setSummary

    public void setSummary(java.lang.String summary)

  Specified by:
    setSummary in interface org.w3c.dom.html.HTMLTableElement

### getWidth

    public java.lang.String getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.html.HTMLTableElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface org.w3c.dom.html.HTMLTableElement

### insertRow

    public org.w3c.dom.html.HTMLElement insertRow(int index)

  Specified by:
    insertRow in interface org.w3c.dom.html.HTMLTableElement

### deleteRow

    public void deleteRow(int index)

  Specified by:
    deleteRow in interface org.w3c.dom.html.HTMLTableElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD